<template>
  <v-menu
    offset-y
    transition="slide-y-transition"
    close-on-click
    close-on-content-click
    max-width="300"
  >
    <template v-slot:activator="{ on }">
      <v-btn v-on="on" icon class="mr-5">
        <v-badge dot overlap value="2" color="tway-green">
          <v-icon>mdi-bell</v-icon>
        </v-badge>
      </v-btn>
    </template>
    <v-list dense tile class="pt-0">
      <v-subheader class="notification-menu-header tway-title">
        Notificaciones
      </v-subheader>
      <v-list-item :to="{ name: 'create-profile' }">
        <v-list-item-avatar class="mr-0">
          <v-icon>mdi-alert</v-icon>
        </v-list-item-avatar>
        <v-list-item-content>
          <v-list-item class="caption">
            No has completado tu registro
          </v-list-item>
        </v-list-item-content>
      </v-list-item>
      <v-list-item :to="{ name: 'dti-form' }">
        <v-list-item-avatar class="mr-0">
          <v-icon>mdi-alert</v-icon>
        </v-list-item-avatar>
        <v-list-item-content>
          <v-list-item class="caption">
            No has completado tu formulario de Indice Transformación Digital
          </v-list-item>
        </v-list-item-content>
      </v-list-item>
    </v-list>
  </v-menu>
</template>

<script>
export default {
  name: "NotificationMenu",
};
</script>

<style scoped>
.notification-menu-header {
  height: 30px !important;
  font-size: 14px !important;
}
</style>
